/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.stocktaking.view;

import com.arrebol.taxiservicios.model.enums.StatusType;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class StocktakingInvoiceView implements Serializable {

    private static final long serialVersionUID = -6288786958693094307L;

    private String id;
    private String folio;
    private String provider;
    private Date buyDate;
    private Float subTotal;
    private Float iva;
    private Float total;
    private StatusType statusType;
    private String comment;
    private String economicNumber;
    private Date createdOn;
    private StatusType authorize;
    private String createdBy;   
    private String driver;
    private String location;

    public StocktakingInvoiceView() {
    }

    public StocktakingInvoiceView(String id) {
        this.id = id;
    }

    public StocktakingInvoiceView(String id, String economicNumber) {
        this.id = id;
        this.economicNumber = economicNumber;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFolio() {
        return folio;
    }

    public void setFolio(String folio) {
        this.folio = folio;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public Date getBuyDate() {
        return buyDate;
    }

    public void setBuyDate(Date buyDate) {
        this.buyDate = buyDate;
    }

    public Float getSubTotal() {
        return subTotal;
    }

    public void setSubTotal(Float subTotal) {
        this.subTotal = subTotal;
    }

    public Float getIva() {
        return iva;
    }

    public void setIva(Float iva) {
        this.iva = iva;
    }

    public Float getTotal() {
        return total;
    }

    public void setTotal(Float total) {
        this.total = total;
    }

    public StatusType getStatusType() {
        return statusType;
    }

    public void setStatusType(StatusType statusType) {
        this.statusType = statusType;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getEconomicNumber() {
        return economicNumber;
    }

    public void setEconomicNumber(String economicNumber) {
        this.economicNumber = economicNumber;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public StatusType getAuthorize() {
        return authorize;
    }

    public void setAuthorize(StatusType authorize) {
        this.authorize = authorize;
    }

    public String getDriver() {
        return driver;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
    
    

    public void setDriver(String driver) {
        this.driver = driver;
    }

    @Override
    public String toString() {
        return "StocktakingInvoiceView{" + "folio=" + folio + ", provider=" + provider + ", statusType=" + statusType + ", comment=" + comment + ", economicNumber=" + economicNumber + ", createdOn=" + createdOn + '}';
    }

}
